commit:     547ec2319150756c0d7e664b4c6b290d7cf4deea
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Apr  9 20:53:50 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Apr  9 20:53:50 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=547ec231

kde-misc/kdirstat: 3.1.3 version bump

Closes: https://bugs.gentoo.org/652850
Package-Manager: Portage-2.3.28, Repoman-2.3.9

 kde-misc/kdirstat/Manifest              |  1 +
 kde-misc/kdirstat/kdirstat-3.1.3.ebuild | 42 +++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/kde-misc/kdirstat/Manifest b/kde-misc/kdirstat/Manifest
index 96c7e9760b4..dab58285c2d 100644
--- a/kde-misc/kdirstat/Manifest
+++ b/kde-misc/kdirstat/Manifest
@@ -1 +1,2 @@
 DIST k4dirstat-3.1.2.tar.bz2 227623 BLAKE2B 
718360b79fb164960f99680a1501f72e65b0108a6ab9a38f72100df7ea9541a77d1d967d4eb645dd84978fa94553e9dd4b1b91d73144862bca8668ea401a0be1
 SHA512 
52c8fb58bde8f2ebb3404a3553ad5e3c838e95353808165f2e8f088f4848b40a5dda3427c6f24dd3d8bc8858e9c28f1f1db0993963c16cf355eeba253fc8344c
+DIST k4dirstat-3.1.3.tar.bz2 230480 BLAKE2B 
ddb91b9d6a4ce119f4f3c71541ad490b973de1e6648ce019e48374d825b18ba697b652f59d42995b14f53e730370ee41f9910056406711003e506e0826b9ad39
 SHA512 
b5e71d5d235ead64d1a7c6005551585316a8565c806a3ca07050331b2a8ff13f7048b1cc54489e84f49be3abedf01c65b5b6951724c955f540d7c3fa0bfd2afc

diff --git a/kde-misc/kdirstat/kdirstat-3.1.3.ebuild 
b/kde-misc/kdirstat/kdirstat-3.1.3.ebuild
new file mode 100644
index 00000000000..ef6184cdc45
--- /dev/null
+++ b/kde-misc/kdirstat/kdirstat-3.1.3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_HANDBOOK="forceoptional"
+inherit kde5
+
+DESCRIPTION="GUI equivalent to the du command based on KDE Frameworks"
+HOMEPAGE="https://bitbucket.org/jeromerobert/k4dirstat/";
+SRC_URI="https://bitbucket.org/jeromerobert/k4dirstat/get/k4dirstat-${PV}.tar.bz2";
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+COMMON_DEPEND="
+       $(add_frameworks_dep kconfig)
+       $(add_frameworks_dep kconfigwidgets)
+       $(add_frameworks_dep kcoreaddons)
+       $(add_frameworks_dep ki18n)
+       $(add_frameworks_dep kiconthemes)
+       $(add_frameworks_dep kio)
+       $(add_frameworks_dep kjobwidgets)
+       $(add_frameworks_dep kwidgetsaddons)
+       $(add_frameworks_dep kxmlgui)
+       $(add_qt_dep qtgui)
+       $(add_qt_dep qtwidgets)
+       sys-libs/zlib
+"
+DEPEND="${COMMON_DEPEND}
+       sys-devel/gettext
+"
+RDEPEND="${COMMON_DEPEND}
+       !kde-misc/kdirstat:4
+"
+
+src_unpack() {
+       # tarball contains git revision hash, which we don't want in the ebuild.
+       default
+       mv "${WORKDIR}"/*k4dirstat-* "${S}" || die
+}

Reply via email to